{{- if and .Values.persistence.enabled (not .Values.persistence.existingClaim) (not .Values.persistence.hostPath) }}
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ template "bifrost.fullname" . }}
  labels:
    {{- include "bifrost.labels" . | nindent 4 }}
spec:
  accessModes:
    - {{ .Values.persistence.accessMode | quote }}
  resources:
    requests:
      {{- if eq (include "bifrost.net" .) "mainnet" }}
      storage: {{ .Values.persistence.size.mainnet | quote }}
      {{- else }}
      storage: {{ .Values.persistence.size.testnet | quote }}
      {{- end }}
{{- if .Values.persistence.storageClass }}
{{- if (eq "-" .Values.persistence.storageClass) }}
  storageClassName: ""
{{- else }}
  storageClassName: "{{ .Values.persistence.storageClass }}"
{{- end }}
{{- end }}
{{- end -}}
